View unanswered posts | View active topics It is currently Tue Oct 21, 2014 12:51 pm






Reply to topic  [ 8 posts ] 
Upgrading from 3.08 to 3.51 
Author Message
Rookie
User avatar

Joined: Sat Sep 03, 2011 10:03 am
Posts: 32
Post Upgrading from 3.08 to 3.51
I just upgrade one of our team laptops to 3.51 but did not get the latest third party drivers with the upgrade. Still has all of the old sample and driver names.

Should I have to download 3.0b1 driver package or should the newest drivers come with 3.51?

Ahh, the new release syndrome exercise. Reminds me of 2.x to 3.x. :programmer: :D


Sat Sep 29, 2012 5:49 pm
Profile
Senior Roboticist
User avatar

Joined: Wed Sep 28, 2011 10:13 pm
Posts: 630
Location: If I told you, I'd have to kill you.
Post Re: Upgrading from 3.08 to 3.51
Yes. You have to download the new drivers. Get them from here: https://sourceforge.net/projects/rdpartyrobotcdr/

_________________
A.K.A. inxt-generation
Self-proclaimed genius, and future world dominator.
My Brickshelf Folder
"Don't they teach recreational mathematics anymore?" - The Tenth Doctor
Bow down to Nikola Tesla, King of the Geek Gods.


Sat Sep 29, 2012 5:53 pm
Profile WWW
Rookie
User avatar

Joined: Sat Sep 03, 2011 10:03 am
Posts: 32
Post Re: Upgrading from 3.08 to 3.51
Thanks, wanted to make sure.


Sat Sep 29, 2012 6:02 pm
Profile
Moderator
Moderator
User avatar

Joined: Wed Mar 05, 2008 8:14 am
Posts: 3225
Location: Rotterdam, The Netherlands
Post Re: Upgrading from 3.08 to 3.51
You should always check my site for the latest version. I update my suite a LOT more often than ROBOTC updates their installer.

Regards,
Xander

_________________
| Professional Conduit of Reasonableness
| (Title bestowed upon on the 8th day of November, 2013)
| My Blog: I'd Rather Be Building Robots
| ROBOTC 3rd Party Driver Suite: [Project Page]


Sun Sep 30, 2012 1:24 am
Profile WWW
Site Admin
Site Admin

Joined: Wed Jan 24, 2007 10:42 am
Posts: 613
Post Re: Upgrading from 3.08 to 3.51
When 3.52 comes out (which who knows when that'll be), we will be combining the latest drivers into the installer (once they're out of BETA)

Thanks!

_________________
Timothy Friez
ROBOTC Developer - SW Engineer
tfriez@robotc.net


Mon Oct 01, 2012 10:02 am
Profile
Moderator
Moderator
User avatar

Joined: Wed Mar 05, 2008 8:14 am
Posts: 3225
Location: Rotterdam, The Netherlands
Post Re: Upgrading from 3.08 to 3.51
I haven't had any complaints about my drivers, so I can only assume they all work, so the next release will be non-beta, I think.

- Xander

_________________
| Professional Conduit of Reasonableness
| (Title bestowed upon on the 8th day of November, 2013)
| My Blog: I'd Rather Be Building Robots
| ROBOTC 3rd Party Driver Suite: [Project Page]


Mon Oct 01, 2012 10:09 am
Profile WWW
Rookie
User avatar

Joined: Sat Sep 03, 2011 10:03 am
Posts: 32
Post Re: Upgrading from 3.08 to 3.51
I get a warning on "drivers/hitechnic-irseeker-v2.h" lines 407 and 413.

It is: *Warning*:Comparison between 'signed' and 'unsigned' operands.

Am I doing something wrong?

I am generating the basic code and just added the include to my files and have not added any code to use the seeker yet.
I have defined the sensor on port 2 and added the include file. That is all of the code so far.


Tue Oct 02, 2012 9:51 am
Profile
Guru
User avatar

Joined: Sun Nov 15, 2009 5:46 am
Posts: 1347
Post Re: Upgrading from 3.08 to 3.51
This is a known issue. Refer to the following post.
viewtopic.php?f=63&t=4932
According to the RobotC folks, this is already fixed and will be in the next release.


Tue Oct 02, 2012 1:28 pm
Profile
Display posts from previous:  Sort by  
Reply to topic   [ 8 posts ] 

Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  



Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by ST Software for PTF.